Ticket #1285 (closed バグ指摘: 修正済)

Opened 10 years ago

Last modified 9 years ago

基本情報管理>https接続時にIEでセキュリティ警告が表示される

Reported by: shutta Owned by: shutta
Priority: Milestone: EC-CUBE2.11.2
Component: 管理画面 Version: 2.11.1
Keywords: Cc:
修正済み: yes

Description (last modified by shutta) (diff)

管理画面にhttpsで接続している際に、基本情報管理メニュー全般で以下のセキュリティ警告エラーが表示される。

セキュリティ保護のため、セキュリティ証明書にエラーのあるコンテンツの表示がInternet Explorer によりブロックされました。オプションを表示するには、ここをクリックして下さい

基本情報管理メニューで、Google Maps APIを利用しているが、下記のURLだと証明書エラーになるのが原因。

 https://maps.google.com/maps/api/js?sensor=false

関連チケット #1112

Change History

comment:1 Changed 10 years ago by shutta

  • Owner changed from somebody to shutta
  • Status changed from new to assigned

comment:2 Changed 10 years ago by shutta

  • 修正済み set

 https://maps.google.com/maps/api/js?sensor=false は、有償版(Google Maps API Premier)でないとSSLで利用できないので、

[GMapsJ:3090] Google Maps 無償版 APIでSSLが利用出来るようになりました
 http://markmail.org/message/mf7xprfhj6vjitwu[[BR]]

[GMapsJ:3091] Re: Google Maps 無償版 APIでSSLが利用出来るようになりました
 http://markmail.org/message/vkawh2d4we23ms3m

を参考に無償版でも利用できるURLに変更。(r20908)

comment:3 Changed 10 years ago by shutta

r20914 にて、フロント側(PC,スマートフォン)のGoogle Maps APIも r20908 と同様にURLを変更しておいた。

comment:4 Changed 10 years ago by shutta

  • Description modified (diff)

comment:5 Changed 9 years ago by kajiwara

  • Status changed from assigned to closed
  • Resolution set to 修正済

shuttaさん

本件、修正いただき、ありがとうございました。

Note: See TracTickets for help on using tickets.